Announcement

Collapse
No announcement yet.

Plugin Broken

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Plugin Broken

    So - Myself and another person seem to be the only ones this plug-in is broken for?

    The last release was supposed to fix issues but did not - it made things worse. I made mention of it in that thread and not a peap has been heard. The problem has not been acknowledged.

    I hold hope that Ultra will address the issues that remain with his plug-in.

  • #2
    Currently running 3.0.6020.17037 without problems.

    tenholde
    tenholde

    Comment


    • #3
      Originally posted by tenholde View Post
      Currently running 3.0.6020.17037 without problems.

      tenholde
      Thanks Tenholde

      3.0.6700.37439 broke it worse for me - so reverted to 3.0.6616.28548.

      And let this be a lesson to me - if I could go back to an earlier version that worked properly, I would.
      Maybe my solution should be to just leave everything the he** alone once it works! Of course, I have no way of knowing how long I've had this particular problem. It wasn't until I started messing with scripts that the need to have it work completely arose.
      Last edited by Monk; May 21st, 2018, 05:01 PM. Reason: edit

      Comment


      • #4
        It's broken for me too. I can no longer disarm zones.

        When I try I get

        Jun-08 9:17:56 PM Error Invalid Arming Level detected. Unable to send Arm/Disarm to Elk M1.

        Is there a way to revert to the previous version?

        Comment


        • #5
          Originally posted by MarkJames View Post
          It's broken for me too. I can no longer disarm zones.

          When I try I get

          Jun-08 9:17:56 PM Error Invalid Arming Level detected. Unable to send Arm/Disarm to Elk M1.

          Is there a way to revert to the previous version?
          That part of the plug-in was not broken for me. I was able to revert because I do daily backups.
          That said - others have been able to fix certain issues by recreating the troubled device.
          How is it you have been doing this in the past - by the drop down on web page?
          Click image for larger version

Name:	Capture.PNG
Views:	1
Size:	2.7 KB
ID:	1197048

          Comment


          • #6
            Originally posted by MarkJames View Post
            It's broken for me too. I can no longer disarm zones.

            When I try I get

            Jun-08 9:17:56 PM Error Invalid Arming Level detected. Unable to send Arm/Disarm to Elk M1.

            Is there a way to revert to the previous version?
            There were no changes to the plug-in for arm/disarm actions. The invalid arming level error typically means you are trying to go from one arming state to another without first disarming.

            Please restart HomeSeer, then try again. If it still fails, please turn on debug, then attempt to disarm, then send the output located in the HomeSeer's root directory to ultrajones@hotmail.com.

            Regards,
            Ultrajones
            Plug-ins: UltraMon, UltraM1G, UltraCID, Ultra1Wire, UltraLog, UltraWeatherBug, UltraPioneerAVR, UltraGCIR

            Comment


            • #7
              Originally posted by MarkJames View Post
              It's broken for me too. I can no longer disarm zones.

              When I try I get

              Jun-08 9:17:56 PM Error Invalid Arming Level detected. Unable to send Arm/Disarm to Elk M1.

              Is there a way to revert to the previous version?
              Are you attempting to disarm from a HomeSeer event? If yes, try saving the event and trying again.
              Plug-ins: UltraMon, UltraM1G, UltraCID, Ultra1Wire, UltraLog, UltraWeatherBug, UltraPioneerAVR, UltraGCIR

              Comment


              • #8
                Originally posted by Ultrajones View Post
                Are you attempting to disarm from a HomeSeer event? If yes, try saving the event and trying again.
                I am.

                My house and garage are on separate areas. I have an event that runs when I disarm the house in the morning it disarms the garage for me.

                After your reply I saved a new event that just says

                IF This event is MANUALLY triggered
                Then Set Area02 [Garage] to Disarmed

                My garage is currently on Armed Stay but when I run the disarm event I just get the invalid arming level detected error again.

                I'll turn on debug next.

                Comment


                • #9
                  I got it working now by changing the way in which I did it.

                  I was using the THEN action as an

                  UltraM1G arming action -> area 02 ->disarm

                  That wasn't working

                  I added area 2 as a homeseer device and changed the THEN action to

                  Control Device
                  Area02[Garage] -> Disarm

                  And that now works fine.

                  Thanks,

                  mark

                  Comment


                  • #10
                    Same issue for me, I updated to 3.0.6700.37439 and this morning HS couldn't disarm the system, Invalid Arming Level.

                    I have been using an event just as Mark described

                    Then
                    > Elk M1 Arming Action
                    >>>Set Area 01 [House] to Disarmed

                    I will change this per Mark's guidance, but is there any consequence/difference? What's the 'right' way Ultrajones?

                    Comment


                    • #11
                      Ultra... I am seeing the same behavior since upgrading to 3.0.6700.37439. My disarm event would not disarm the alarm and it has been working for years without fail. I have been able to make the event work properly by changing from

                      THEN Set Area01 to Disarmed

                      to

                      THEN Set Device Plug-ins - Elk UltraM1G3 Plugin Area 01 to Disarmed

                      Curiously enough my Arm events both still work as they always have...

                      THEN Set Area01 to Armed Stay
                      THEN Set Area01 to Armed Away

                      Comment


                      • #12
                        Originally posted by Monk View Post
                        So - Myself and another person seem to be the only ones this plug-in is broken for?

                        The last release was supposed to fix issues but did not - it made things worse. I made mention of it in that thread and not a peap has been heard. The problem has not been acknowledged.

                        I hold hope that Ultra will address the issues that remain with his plug-in.
                        Randy,

                        Another example here. Can confirm this problem. Just got around to updating to latest Plugin. Set Area 02 garage to Armed Stay and then tried Disarm from a Event does not work like it did with the older plugin version.

                        Had 3.0.6616.28548 then updated to 3.0.6700.37439. Tried a test event to disarm Area 02 (my garage) and revived the error "Invalid Arming Level detected. Unable to send Arm/Disarm to Elk M1."

                        Capture debug log and will send it.

                        Set Area to Disarm fails.
                        Set Device Area 02 to Disarmed works.
                        Attached Files

                        Comment


                        • #13
                          Originally posted by srodgers View Post
                          Randy,

                          Another example here. Can confirm this problem. Just got around to updating to latest Plugin. Set Area 02 garage to Armed Stay and then tried Disarm from a Event does not work like it did with the older plugin version.

                          Had 3.0.6616.28548 then updated to 3.0.6700.37439. Tried a test event to disarm Area 02 (my garage) and revived the error "Invalid Arming Level detected. Unable to send Arm/Disarm to Elk M1."

                          Capture debug log and will send it.

                          Set Area to Disarm fails.
                          Set Device Area 02 to Disarmed works.

                          Just reverted back to 3.0.6616.28548 and can confirm that both ways of Disarming an area work. Both events fire and properly disarm Area 02 without error.

                          Will stay on 3.0.6616.28548 for now as this breaks too many events to have to change them to the other way. If there a preferred method to Disarm an Area.? Both have worked in the past.

                          Comment


                          • #14
                            I just published the update to resolve the disarm via a HomeSeer event. With the recent updater changes, I no longer have the ability to instantly update my plug-in files. The plug-in update will be available in the updater once approved by HomeSeer.

                            Regards,
                            Ultrajones
                            Plug-ins: UltraMon, UltraM1G, UltraCID, Ultra1Wire, UltraLog, UltraWeatherBug, UltraPioneerAVR, UltraGCIR

                            Comment


                            • #15
                              also having the same issue;
                              Invalid Arming Level detected. Unable to send Arm/Disarm to Elk M1.

                              Comment

                              Working...
                              X